<?php
// get these values from your DB.
require_once('config.php');
$error_message;
$valid = true;

$site_cd = $_REQUEST['site_cd'];
$wrk_flt_prob_grp = $_REQUEST['wrk_flt_prob_grp'];

//Element
$sql= "
SELECT	DISTINCT(wrk_flt_prob_type),  wrk_flt_prob_type_desc  FROM 	wrk_flt WHERE wrk_flt.site_cd = '".$site_cd."' AND  wrk_flt.wrk_flt_prob_grp = '".$wrk_flt_prob_grp."'";
$stmt = sqlsrv_query( $conn, $sql);

if( !$stmt ) {
     $error_message = "Error selecting table (Element)";
	 returnError($error_message);
     die( print_r( sqlsrv_errors(), true));
	 
}

$Element = array();

do {
     while ($row = sqlsrv_fetch_array($stmt, SQLSRV_FETCH_ASSOC)) {		
		$Element[] = $row;	
	
     }
} while ( sqlsrv_next_result($stmt) );





if ($valid) {

	//echo $sql;
	returnData($Element);	
	
}

function returnData($Element){
	//echo $json;
	$returnData = array(												
	'status' => 'SUCCESS',
	'message' => 'Successfully',
	'Element' =>$Element);
	
	echo json_encode($returnData);
}

function returnError($error_message){
	$json = array();
	
	$returnData = array(
	'status' => 'ERROR',
	'message' => $error_message,
	'data' => $json);
	
	echo json_encode($returnData);
		
}
	sqlsrv_free_stmt( $stmt);
	sqlsrv_close( $conn);	

 
?>